# NOTE: Derived from blib/lib/LaBrea/NetIO.pm.
# Changes made here will be lost when autosplit is run again.
# See AutoSplit.pm.
package LaBrea::NetIO;

#line 97 "blib/lib/LaBrea/NetIO.pm (autosplit into blib/lib/auto/LaBrea/NetIO/open_listen_sock.al)"
sub open_listen_sock {
  my ($S,$host,$port) = @_;
# default connection is to ANY interface
  my $iaddr = INADDR_ANY;
  return 'interface address not found'
	if $host && ! ($iaddr = inet_aton($host));
  my $proto = getprotobyname('tcp');
  $port = TARPIT_PORT unless $port && $port !~ /[\D]/;

  return 'failed to create socket'
	unless socket($S,PF_INET,SOCK_STREAM,$proto);

  unless (setsockopt($S,SOL_SOCKET,SO_REUSEADDR,1)) {
    close $S;
    return 'failed to set socket options';
  }

  unless (bind($S,sockaddr_in($port,$iaddr))) {
    close $S;
    return 'failed to bind socket';
  }
  unless (listen($S,SOMAXCONN)) {
    close $S;
    return "failed to set listen queue";
  }
  $_ = select $S;
  $| = 1;
  select $_;
  return undef;
}

# end of LaBrea::NetIO::open_listen_sock
1;
