# NOTE: Derived from ../blib/lib/LaBrea/Tarpit/Report.pm.
# Changes made here will be lost when autosplit is run again.
# See AutoSplit.pm.
package LaBrea::Tarpit::Report;

#line 1684 "../blib/lib/LaBrea/Tarpit/Report.pm (autosplit into ../blib/lib/auto/LaBrea/Tarpit/Report/age2hex.al)"
#################################################
############# NON-EXPORT UTILITIES ##############
#################################################


# convert age in seconds to graduated hex number represented in ascii 00->FF
#
# input:	seconds, scale factor (default 3);
# return:	00->FF
#
sub age2hex {
  my ($t,$sf) = @_;
  $sf = 3 unless $sf;
  $t = $t || 0;
  $t = -$t if $t < 0;
  $t /= $sf;
  $t = 255 if $t > 255;
  $t = 255 - $t;
  return sprintf("%02X",$t);
}

# end of LaBrea::Tarpit::Report::age2hex
1;
