# NOTE: Derived from ../blib/lib/LaBrea/Tarpit/Report.pm.
# Changes made here will be lost when autosplit is run again.
# See AutoSplit.pm.
package LaBrea::Tarpit::Report;

#line 416 "../blib/lib/LaBrea/Tarpit/Report.pm (autosplit into ../blib/lib/auto/LaBrea/Tarpit/Report/syslog2_cache.al)"
sub syslog2_cache {
  my ($input,$config) = @_;
  my ($cache_file,$umask,$cull,$scrs,$ph,$pt) =
	@{$config}{qw(cache umask cull scanners port_intvls port_timer)};
  return undef if $input && ! -e $input && ! -r $input;
  if ( $cache_file ) {
    return undef if -e $cache_file && ! -r $cache_file && ! -w $cache_file;
  };

  $umask = 033 unless $umask;
  $cull = LaBrea::Tarpit::defaults->{cull} unless $cull;
  $ph = 0 unless $ph;
  my %tarpit = (
	'pt'	=> $pt,
  );
  return undef unless &process_log(\%tarpit,$input,0,$ph);
  &cull_threads(\%tarpit, $cull, $scrs, $ph);
  return write_cache_file(\%tarpit,$cache_file,$umask,0);
}

# end of LaBrea::Tarpit::Report::syslog2_cache
1;
