# NOTE: Derived from ../blib/lib/LaBrea/Tarpit/Util.pm.
# Changes made here will be lost when autosplit is run again.
# See AutoSplit.pm.
package LaBrea::Tarpit::Util;

#line 221 "../blib/lib/LaBrea/Tarpit/Util.pm (autosplit into ../blib/lib/auto/LaBrea/Tarpit/Util/daemon2_cache.al)"
# $debug is the alarm time of the eval

sub daemon2_cache {
  my ($cf,$sf,$age,$debug) = @_;
  require LaBrea::NetIO;
  import LaBrea::NetIO qw (daemon_handler);
  $age = 0 unless $age;
  local(*LOCK,*IN,*OUT);
  my $update = 0;
  my $time = time;
  my @return;
  my $timeout = (ref $sf eq 'HASH' && !exists $sf->{file} && $sf->{d_timeout})
	? $sf->{d_timeout} : 180;
  $timeout = $debug if $debug;
  local $SIG{ALRM} = sub { die "remote connect timeout"; };
  eval {
  die 'missing output cache file' unless $cf;
  alarm $timeout;
  while (1) {
    my $cmt = (-e $cf) ? (stat($cf))[9] : 0;	# cache last modified time
    unless ($cmt + $age < $time) {
      @return = ($cmt,$update);
      last;
    }
    my $nblock = ! $debug; 			# will block if debug
    if ( ex_open(*LOCK,*OUT,$cf.'.tmp',-1,$nblock) ) {	# attempt non blocking open
      my $subref;
      unless ($subref = daemon_handler(*IN,$sf)) {
	@return = ();
	close_file(*LOCK,*OUT);
	last;
      }
      print IN "standard\n" 
	if ref $sf eq 'HASH' && !exists $sf->{file};
      while ($_ = &$subref) {
	print OUT $_;
      }
      close OUT;
      close IN;
      rename $cf.'.tmp', $cf;	# atomic update
      close LOCK;
      $update = 1;
    } else {
      sleep 1;			# another process is updating, wait
    }
  } # end while
  alarm 0;
  }; # end eval
  @return = () if $@;		# oops
  return (wantarray) ? @return : $return[0];
}

# end of LaBrea::Tarpit::Util::daemon2_cache
1;
