# NOTE: Derived from ../blib/lib/LaBrea/Tarpit/Util.pm.
# Changes made here will be lost when autosplit is run again.
# See AutoSplit.pm.
package LaBrea::Tarpit::Util;

#line 160 "../blib/lib/LaBrea/Tarpit/Util.pm (autosplit into ../blib/lib/auto/LaBrea/Tarpit/Util/upd_cache.al)"
sub upd_cache {
  my($f,$pn,$htm,$sht) = @_;
  return undef unless $htm || $sht;	# must want to do something
  $pn = ($pn) ? '.'.$pn : '';		# insert dot or make null
  local (*LOCK,*FH,*SH);
  return undef unless
	$f.$pn &&
# open new file non-blocking with exclusive lock
	ex_open(*LOCK,*FH,$f.$pn.'.tmp',-1,1);

  if ( $htm ) {		# html present
    print FH $$htm;
    if ($sht &&		# short report present too
	open(SH,'>'.$f.$pn.'.short.tmp' )) {
      $_ = select SH;
      $| = 1;
      select $_;
      print SH $$sht;
      close SH;
      rename 		# atomic update
	$f.$pn.'.short.tmp',
	$f.'.short';
    }
    close_file(*LOCK,*FH);
# atomic update, return true on success
      rename 		# atomic update
	$f.$pn.'.tmp',
	$f.$pn;
  } elsif ( $sht ) {	# unconditional 'else'
    print FH $$sht;
    close_file(*LOCK,*FH);
    rename		# atomic update
      $f.$pn.'.tmp',
      $f.'.short';
  } else {
    close_file(*LOCK,*FH);	# should not get here
    return undef;
  }
  1;
}

# end of LaBrea::Tarpit::Util::upd_cache
1;
