# NOTE: Derived from blib/lib/LaBrea/Tarpit.pm.
# Changes made here will be lost when autosplit is run again.
# See AutoSplit.pm.
package LaBrea::Tarpit;

#line 470 "blib/lib/LaBrea/Tarpit.pm (autosplit into blib/lib/auto/LaBrea/Tarpit/_get_config.al)"
# check as above and if there is a tarpit cull,
# collapse the tarpit hash to conserve memory
# 1) write out the hash to disk
# 2) set the tarpit hash to an anon empty array
# 3) reload the tarpit from the disk
#
# returns:	true if cull, else false
#		fails silently if there is no cache file

#sub _cullnsquish {
#  my ($tp,$ttcp,$wait_time,$cull,$scrs,$ph,$ds,$pt,$cache_file,$umask,$version) = @_;
#  my $rv;
#  if ($rv = &_check4cull($tp,$ttcp,$wait_time,$cull,$scrs,$ph,$ds)) {	# cull every few minutes
#    my $cache_txt = &write_cache_file($tp,$cache_file,$umask,1);	# write cache file and return cache text
#    %$tp = ();								# collapse tarpit hash;
#    my @lines = split("\n",$cache_txt);
#    &array2_tarpit($tp,\@lines);  # returns true
#    $tp->{LaBrea} = $version;						# set version number
#    $tp->{pt} = $pt || 86400;						# default data collection is one day
#  }
#  $rv;
#}
  
# input:	file name, mark text
# returns:	lines of file with ' mark text\n' appended
#
sub _get_config {
  my ($f,$mark) = @_;
  $mark = ' ' . $mark if $mark;
  local *F;
  return '' unless open(F,$f);
  @_ = (<F>);		# slurp lines
  close F;
  chop @_;
  my $rv = join("$mark\n",@_);
  $rv .= "$mark\n" if $rv;
};

# end of LaBrea::Tarpit::_get_config
1;
