# NOTE: Derived from blib/lib/LaBrea/NetIO.pm.
# Changes made here will be lost when autosplit is run again.
# See AutoSplit.pm.
package LaBrea::NetIO;

#line 138 "blib/lib/LaBrea/NetIO.pm (autosplit into blib/lib/auto/LaBrea/NetIO/open_tcp.al)"
sub open_tcp {
  my ($S,$host,$port) = @_;
  my $iaddr;
  return 'port is not numeric'
	if !$port || $port =~ /\D/;
  return 'hostname not found'
	unless ($iaddr = inet_aton($host));
  my $proto = getprotobyname('tcp');
  return 'unable to open socket'
	unless socket($S, PF_INET, SOCK_STREAM, $proto );
  my $paddr = sockaddr_in($port, $iaddr);
  unless (connect($S, $paddr)) {
    close $S;
    return 'could not connect to host';
  }
  $host = select $S;	# temp save old selection
  $| = 1;
  select $host;		# restore selection
  return undef;
}

# end of LaBrea::NetIO::open_tcp
1;
