# NOTE: Derived from ../blib/lib/LaBrea/Tarpit/Util.pm.
# Changes made here will be lost when autosplit is run again.
# See AutoSplit.pm.
package LaBrea::Tarpit::Util;

#line 351 "../blib/lib/LaBrea/Tarpit/Util.pm (autosplit into ../blib/lib/auto/LaBrea/Tarpit/Util/ex_open.al)"
sub ex_open {
  my ($LOCK, $fh, $fn, $func, $nblock, $umask) = @_;
  $nblock = ($nblock) ? LOCK_NB : 0;
  $umask = 0117 unless $umask;
  umask $umask;
  return undef unless sysopen $LOCK, $fn . '.flock', O_RDWR|O_CREAT|O_TRUNC;
#	die(&me . ': could not open file exclusive ' . $fn . '.flock');
  unless (flock($LOCK,LOCK_EX|$nblock)) {
    close $LOCK; 
    return undef;
  }
  if ( $func ) {
    if ( $func =~ /[^\d]/ || $func < 0 ) {
#print STDERR "open NEW $fn\n";
      $func = O_RDWR|O_CREAT|O_TRUNC;
    } else {
#print STDERR "open APPEND $fn\n";
      $func = O_RDWR|O_APPEND|O_CREAT;
    }
  } else {
# use sysopen FILEHANDLE,FILENAME,MODE,PERMS
#print STDERR "open RDRW $fn\n";
    $func = O_RDWR|O_CREAT;
  }
  unless (sysopen $fh, $fn, $func) {
    close $LOCK;
    return undef;
  }
  my $tmp = select $fh;
  $| = 1;
  select $tmp;
  return 1;
}

# end of LaBrea::Tarpit::Util::ex_open
1;
